#ifndef _IMGBSP_H
#define _IMGBSP_H


#include "IMGNodeBsp.h"

namespace IMG {

class _IMGExport Bsp {
  public:
    Bsp();

    virtual ~Bsp();

    void setRoot(NodeBspPtr node);

    void print();

    void printLeaf(); 

    NodeBspPtr insert(int w, int h, int idcluster);

    NodeBspPtr get(int i);

  protected:
    NodeBspPtr root;

    int countleaf;

    int counttotal;

    void print(NodeBspPtr node);

    void printLeaf(NodeBspPtr node);

};

}
#endif
