#ifndef _IMGCLUSTER2D_H
#define _IMGCLUSTER2D_H

#include <IMGPrerequisites.h>

namespace IMG {

class Cluster;

class _IMGExport Cluster2d {
  public:
    Cluster2d();

	virtual ~Cluster2d();

    //* Create a 2d polygon from a polygon 3d. The projecte polygon is belong the dominant normal.
    //			
    //	 
    int create2d(Cluster * cluster, int type, int type_vertexs);

    void print();

	Ogre::Vector2 * getVector3s();

	std::vector<Ogre::Vector2> * getVector3sVector();

	Ogre::Vector3 * getNormal();

  protected:

    unsigned int id;

    Cluster * cluster;

	Ogre::Vector2 *Vector3s;

	std::vector<Ogre::Vector2> Vector3s2_vector;

	Ogre::Vector3 *normal;

};

}
#endif
