
#include <IMGPlane3.h>

namespace IMG {

Plane3::Plane3()
{
}

Plane3::~Plane3() 
{
}

Plane3 & Plane3::operator =(const Plane3 & p) 
{
    normal.x = p.normal.x;
    normal.y = p.normal.y;
    normal.z = p.normal.z;
    d = p.d;		
    return *this;
}

Ogre::Vector3 * Plane3::getNormal() 
{
	Ogre::Vector3 *v = new Ogre::Vector3;
    v->x = normal.x;
    v->y = normal.y;
    v->z = normal.z;
    return v;
}

void Plane3::setNormal(float x, float y, float z) 
{
    normal.x = x;
    normal.y = y;
    normal.z = z;		
}

void Plane3::setDistance(float dist) 
{
    d = dist;
}

float Plane3::getDistance() const 
{ 
	return d;
}

void Plane3::print() 
{
	Ogre::LogManager::getSingleton().logMessage("Printant pla: (" + Ogre::StringConverter::toString(normal) + Ogre::StringConverter::toString(d) + ")");
}

}
