#ifndef _IMGCLUSTERLIST_H
#define _IMGCLUSTERLIST_H


#include "IMGCluster.h"

namespace IMG {

class _IMGExport ClusterList 
{
  public:
    ClusterList();

    virtual ~ClusterList();
    
    std::vector<Cluster> * getList();

    //return the pointer to the list of voxels
    unsigned int getSize() const;

    //return the number of elements of list
    Cluster * get(unsigned int i);

    bool insert(Cluster * p);

    void print();


  protected:

    std::vector<Cluster> list;

};

}
#endif
