
#include <IMGCluster2d.h>
#include <IMGCluster.h>

namespace IMG 
{

Cluster2d::Cluster2d() 
{
    Vector3s = NULL;
    cluster =NULL;
    normal = NULL;
}

Ogre::Vector2 * Cluster2d::getVector3s()
{ 
	return Vector3s; 
}

std::vector<Ogre::Vector2> * Cluster2d::getVector3sVector() 
{ 
	return &Vector3s2_vector; 
} 

Ogre::Vector3 * Cluster2d::getNormal() 
{ 
	return normal; 
}

//* Create a 2d polygon from a polygon 3d. The projecte polygon is belong the dominant ERROR_MSG.
//			
//	 
int Cluster2d::create2d(Cluster * cluster, int type, int type_vertexs) 
{
	if (!cluster)
	{
		return false;
	}
	
	int axis = cluster->axisProjected();

	this->cluster = cluster;

	return axis;
}

void Cluster2d::print() 
{
	Ogre::LogManager::getSingleton().logMessage("Printant cluster2d: " + Ogre::StringConverter::toString(id));
}

Cluster2d::~Cluster2d() 
{
}

}
