
#include <IMGClusterList.h>

namespace IMG {

ClusterList::~ClusterList() 
{
	list.clear();
}

bool ClusterList::insert(Cluster * p) 
{
	if (!p)
	{
		return false;
	}

	list.push_back(*p);
	
	return true;
}

void ClusterList::print() 
{
	Ogre::LogManager::getSingleton().logMessage("nNombre de  cluster a la llista: " + Ogre::StringConverter::toString(list.size()));

	for (register int i = 0; i < list.size(); i ++)
	{
		this->get(i)->print();
	}	
}

ClusterList::ClusterList() 
{
    list.reserve(100);
}

std::vector<Cluster> * ClusterList::getList() 
{
	return &list;
}

unsigned int ClusterList::getSize() const
{ 
	return list.size(); 
}

Cluster * ClusterList::get(unsigned int i) 
{
    if (i <= list.size())
	{
		return &list[i];
	}
    
    return NULL;
}

}
